---
- hosts: windows
  gather_facts: yes
  roles:
    - role: windows_mssql_installation
      #  tasks:
      #    - name: Run the SQL Installation
      #      import_role:
      #        name: windows_mssql_installation

# The Features are passed to the windows_sql role through ansible tower. They shoule be comma seperated
# e.g: mssql_feature: SQLENGINE,DQ,AS,IS
#
# Feature list for sql 
#
# Database Engine = SQLENGINE
# Replication = REPLICATION
# Full-text and semantic extraction for search = FULLTEXT
# Data quality service = DQ
# Analysis Service = AS
# Reporting services -negative = RS
# Reporting services add-in for sharepoint products = RS_SHPWFE
# Data Quality Client = DQC
# SQl server data tools = BIDS
# Client tool connectivity = CONN
# Integration services = IS
# Client tool backward compatibility = BC
# Client tool SDK = SDK
# Documentation componbents = BOL
# Management tool -basic = SSMS
# Management tool -advanced = ADV_SSMS
# Distributed replay controller = DREPLAY_CTLR
# Distributed replay clients = DREPLAY_CLT
# SQL client connectivity SDK = SNAC_SDK
# Master data services = MDS
# ADVANCEDANALYTICS Installs R services, requires the databse engine. Unattended installations require /IACCEPTROPENLICENSETERMS parameters
